> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Variants Phenotypes

> Retrieve variant-trait pairs from GWAS, SGE, and cV2F by variants.

Filters on phenotype ontology id can be used together.

The following parameters can be used to set thresholds on -log10 p_value: gt (>), gte (>=), lt (\<), lte (\<=).

Set verbose = true to retrieve full info on the studies.

At least one of these fields is required: variant_id, spdi, hgvs, rsid, ca_id, region, method, or files_fileset.

The limit parameter controls the page size and can not exceed 100.

Pagination is 0-based.

**Examples by method**

These examples are grouped by method; use the `method` filter to return data from a specific method.

**GWAS:**

**query by variant identifier**

- spdi = NC_000001.11:5277210:G:A
- neg_log10_pvalue = gte:5
- method = GWAS

**query by region**

- region = chr1:5270008-5277214
- method = GWAS

**SGE:**

**query by variant identifier**

- spdi = NC_000007.14:152660654:T:A
- method = SGE

**query by region**

- region = chr7:152655654-152664654
- method = SGE

**cV2F:**

**query by variant identifier**

- spdi = NC_000001.11:91420:T:C
- method = cV2F

**query by region**

- region = chr1:91418-91424
- method = cV2F



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /variants/phenotypes
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /variants/phenotypes:
    get:
      summary: Variants Phenotypes
      description: >-
        Retrieve variant-trait pairs from GWAS, SGE, and cV2F by variants.


        Filters on phenotype ontology id can be used together.


        The following parameters can be used to set thresholds on -log10
        p_value: gt (>), gte (>=), lt (\<), lte (\<=).


        Set verbose = true to retrieve full info on the studies.


        At least one of these fields is required: variant_id, spdi, hgvs, rsid,
        ca_id, region, method, or files_fileset.


        The limit parameter controls the page size and can not exceed 100.


        Pagination is 0-based.


        **Examples by method**


        These examples are grouped by method; use the `method` filter to return
        data from a specific method.


        **GWAS:**


        **query by variant identifier**


        - spdi = NC_000001.11:5277210:G:A

        - neg_log10_pvalue = gte:5

        - method = GWAS


        **query by region**


        - region = chr1:5270008-5277214

        - method = GWAS


        **SGE:**


        **query by variant identifier**


        - spdi = NC_000007.14:152660654:T:A

        - method = SGE


        **query by region**


        - region = chr7:152655654-152664654

        - method = SGE


        **cV2F:**


        **query by variant identifier**


        - spdi = NC_000001.11:91420:T:C

        - method = cV2F


        **query by region**


        - region = chr1:91418-91424

        - method = cV2F
      operationId: phenotypesFromVariants
      parameters:
        - name: spdi
          in: query
          required: false
          schema:
            type: string
        - name: hgvs
          in: query
          required: false
          schema:
            type: string
        - name: rsid
          in: query
          required: false
          schema:
            type: string
        - name: ca_id
          in: query
          required: false
          schema:
            type: string
        - name: variant_id
          in: query
          required: false
          schema:
            type: string
        - name: region
          in: query
          required: false
          schema:
            type: string
        - name: phenotype_id
          in: query
          required: false
          schema:
            type: string
        - name: neg_log10_pvalue
          in: query
          required: false
          schema:
            type: string
        - name: method
          in: query
          required: false
          schema:
            type: string
            enum:
              - GWAS
              - SGE
              - cV2F
        - name: label
          in: query
          required: false
          schema:
            type: string
            enum:
              - GWAS
              - predicted variant effect on phenotype
              - protein variant effect
        - name: class
          in: query
          required: false
          schema:
            type: string
            enum:
              - observed data
              - prediction
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Homo sapiens
            default: Homo sapiens
        - name: verbose
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
        - name: files_fileset
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  anyOf:
                    - type: object
                      properties:
                        rsid:
                          type: array
                          items:
                            type: string
                          nullable: true
                        phenotype_id:
                          type: string
                          nullable: true
                        phenotype_term:
                          type: string
                          nullable: true
                        study:
                          anyOf:
                            - type: string
                            - type: object
                              properties:
                                _id:
                                  type: string
                                name:
                                  type: string
                                ancestry_initial:
                                  type: string
                                  nullable: true
                                ancestry_replication:
                                  type: string
                                  nullable: true
                                n_cases:
                                  type: string
                                  nullable: true
                                n_initial:
                                  type: string
                                  nullable: true
                                n_replication:
                                  type: string
                                  nullable: true
                                pmid:
                                  type: string
                                  nullable: true
                                pub_author:
                                  type: string
                                  nullable: true
                                pub_date:
                                  type: string
                                  nullable: true
                                pub_journal:
                                  type: string
                                  nullable: true
                                pub_title:
                                  type: string
                                  nullable: true
                                has_sumstats:
                                  type: string
                                  nullable: true
                                num_assoc_loci:
                                  type: string
                                  nullable: true
                                study_source:
                                  type: string
                                  nullable: true
                                trait_reported:
                                  type: string
                                  nullable: true
                                trait_efos:
                                  type: string
                                  nullable: true
                                trait_category:
                                  type: string
                                  nullable: true
                                source:
                                  type: string
                                study_type:
                                  type: string
                                  nullable: true
                                version:
                                  type: string
                                  nullable: true
                              required:
                                - _id
                                - name
                                - ancestry_initial
                                - ancestry_replication
                                - n_cases
                                - n_initial
                                - n_replication
                                - pmid
                                - pub_author
                                - pub_date
                                - pub_journal
                                - pub_title
                                - has_sumstats
                                - num_assoc_loci
                                - study_source
                                - trait_reported
                                - trait_efos
                                - trait_category
                                - study_type
                                - version
                              additionalProperties: false
                        neg_log10_pvalue:
                          type: number
                          nullable: true
                        p_value:
                          type: number
                          nullable: true
                        beta:
                          type: number
                          nullable: true
                        beta_ci_lower:
                          type: number
                          nullable: true
                        beta_ci_upper:
                          type: number
                          nullable: true
                        oddsr_ci_lower:
                          type: number
                          nullable: true
                        oddsr_ci_upper:
                          type: number
                          nullable: true
                        lead_chrom:
                          type: string
                          nullable: true
                        lead_pos:
                          type: number
                          nullable: true
                        lead_ref:
                          type: string
                          nullable: true
                        lead_alt:
                          type: string
                          nullable: true
                        direction:
                          type: string
                          nullable: true
                        source:
                          type: string
                          default: OpenTargets
                        source_url:
                          type: string
                          nullable: true
                        class:
                          type: string
                          nullable: true
                        method:
                          type: string
                          nullable: true
                        label:
                          type: string
                          nullable: true
                        version:
                          type: string
                          default: October 2022 (22.10)
                        name:
                          type: string
                        variant:
                          anyOf:
                            - type: string
                            - type: object
                              properties:
                                chr:
                                  type: string
                                pos:
                                  type: number
                                ref:
                                  type: string
                                alt:
                                  type: string
                                rsid:
                                  type: array
                                  items:
                                    type: string
                                  nullable: true
                                spdi:
                                  type: string
                                  nullable: true
                                hgvs:
                                  type: string
                                  nullable: true
                                ca_id:
                                  type: string
                                  nullable: true
                                _id:
                                  type: string
                              required:
                                - chr
                                - pos
                                - ref
                                - alt
                              additionalProperties: false
                      required:
                        - phenotype_id
                        - phenotype_term
                        - p_value
                        - beta
                        - beta_ci_lower
                        - beta_ci_upper
                        - oddsr_ci_lower
                        - oddsr_ci_upper
                        - lead_chrom
                        - lead_pos
                        - lead_ref
                        - lead_alt
                        - direction
                        - name
                        - variant
                      additionalProperties: false
                    - type: object
                      properties:
                        name:
                          type: string
                        biological_context:
                          type: string
                          nullable: true
                        source:
                          type: string
                        source_url:
                          type: string
                        score:
                          type: number
                          nullable: true
                        method:
                          type: string
                          nullable: true
                        class:
                          type: string
                          nullable: true
                        files_filesets:
                          type: string
                          nullable: true
                        phenotype_term:
                          type: string
                          nullable: true
                        variant:
                          anyOf:
                            - type: string
                            - type: object
                              properties:
                                chr:
                                  type: string
                                pos:
                                  type: number
                                ref:
                                  type: string
                                alt:
                                  type: string
                                rsid:
                                  type: array
                                  items:
                                    type: string
                                  nullable: true
                                spdi:
                                  type: string
                                  nullable: true
                                hgvs:
                                  type: string
                                  nullable: true
                                ca_id:
                                  type: string
                                  nullable: true
                                _id:
                                  type: string
                              required:
                                - chr
                                - pos
                                - ref
                                - alt
                              additionalProperties: false
                        phenotype_id:
                          type: string
                          nullable: true
                      required:
                        - name
                        - source
                        - source_url
                        - score
                        - method
                        - files_filesets
                        - phenotype_term
                        - variant
                        - phenotype_id
                      additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````